package com.dmolinerm.sac.GUI;

import java.util.HashMap;

import android.graphics.Bitmap;
import android.graphics.Matrix;

import com.dmolinerm.sac.R;

public class Constantes {
	
	

	public static final String PICTO_CATEGORIA_OBJETO = "Objeto";
	public static final int PICTO_OBJETO_COLOR = R.drawable.borde_picto_amarillo;
	public static final String PICTO_CATEGORIA_SUJETO = "Sujeto";
	public static final int PICTO_SUJETO_COLOR = R.drawable.borde_picto_verde;
	public static final String PICTO_CATEGORIA_VERBO = "Verbo";
	public static final int PICTO_VERBO_COLOR = R.drawable.borde_picto_rojo;
	public static final String PICTO_CATEGORIA_SIN = "Sin ASignar";
	public static final int PICTO_SIN_COLOR = R.drawable.borde_picto;
	
	public static final String[] CATEGORIAS = {PICTO_CATEGORIA_SIN, PICTO_CATEGORIA_OBJETO, PICTO_CATEGORIA_SUJETO, PICTO_CATEGORIA_VERBO};
	
	public static final HashMap<String, Integer> CATEGORIA_COLOR = new HashMap<String, Integer>();
	static{
		CATEGORIA_COLOR.put(PICTO_CATEGORIA_OBJETO, PICTO_OBJETO_COLOR);
		CATEGORIA_COLOR.put(PICTO_CATEGORIA_SUJETO, PICTO_SUJETO_COLOR);
		CATEGORIA_COLOR.put(PICTO_CATEGORIA_VERBO, PICTO_VERBO_COLOR);
		CATEGORIA_COLOR.put(PICTO_CATEGORIA_SIN, PICTO_SIN_COLOR);
	};
	
	public static final HashMap<String, Integer> CATEGORIA_POS = new HashMap<String, Integer>();
	static{
		CATEGORIA_POS.put(PICTO_CATEGORIA_SIN, 0);
		CATEGORIA_POS.put(PICTO_CATEGORIA_OBJETO, 1);
		CATEGORIA_POS.put(PICTO_CATEGORIA_SUJETO, 2);
		CATEGORIA_POS.put(PICTO_CATEGORIA_VERBO, 3);
	}
	
	public static final String PICTO_EMOCION_COLOR = "#FFFFFF";
	
	public static final String CONTEXTO_CASA = "En Casa";
	public static final String CONTEXTO_CALLE = "En la Calle";
	public static final String CONTEXTO_COLEGIO = "En el Colegio";
	public static final String[] CONTEXTOS = {CONTEXTO_CASA, CONTEXTO_CALLE, CONTEXTO_COLEGIO};
	public static long CONTEXTO_CASA_ID;
	public static long CONTEXTO_COLEGIO_ID;
	public static long CONTEXTO_CALLE_ID;
	
	public static final HashMap<Integer, String> FILA_COLOR = new HashMap<Integer, String>();
	static{
		FILA_COLOR.put(0,"#B0E0E6");
		FILA_COLOR.put(1,"#87CEEB");
	}
	
	public static final int REQUEST_EDIT_CREATE_PICTO = 1;
	public static final int REQUEST_EDIT_CREATE_FRASE = 2;
	public static final int REQUEST_SELECT_FRASE_IMAGE_1 = 3;
	public static final int REQUEST_SELECT_FRASE_IMAGE_2 = 4;
	public static final int REQUEST_SELECT_FRASE_IMAGE_3 = 5;
	public static final int REQUEST_SELECT_FRASE_IMAGE_4 = 6;
	
	public static Bitmap resizeImage(Bitmap BitmapOrg, int w, int h) {
		 
        // cargamos la imagen de origen
        int width = BitmapOrg.getWidth();
        int height = BitmapOrg.getHeight();

        // calculamos el escalado de la imagen destino
        float scaleWidth = ((float) w) / width;
        float scaleHeight = ((float) h) / height;

        // para poder manipular la imagen debemos crear una matriz
        Matrix matrix = new Matrix();
        // resize the Bitmap
        matrix.postScale(scaleWidth, scaleHeight);

        // volvemos a crear la imagen con los nuevos valores
        Bitmap resizedBitmap = Bitmap.createBitmap(BitmapOrg, 0, 0,
                                                   width, height, matrix, true);

        // devolvemos la imagen reescalada
        return resizedBitmap;

      }

}
