package com.dmolinerm.sac.entity;

import java.io.Serializable;

/**
 * @author David Moliner Mateu
 * Representa la entidad Frase
 */
public class Frase implements Serializable{
	
	private static final long serialVersionUID = 1L;
	long id;
	Picto picto1;
	Picto picto2;
	Picto picto3;
	Picto picto4;
	boolean casa;
	boolean colegio;
	boolean calle;
	String locucion;
	boolean interno_loc;
	
	public Frase(Picto picto1, Picto picto2, Picto picto3, Picto picto4) {
		this.id = 0;
		this.picto1 = picto1;
		this.picto2 = picto2;
		this.picto3 = picto3;
		this.picto4 = picto4;
		this.casa = false;
		this.colegio = false;
		this.calle = false;
		this.locucion = "";
		this.interno_loc = false;
	}
	
	public Frase(Picto picto1, Picto picto2, Picto picto3, Picto picto4, boolean casa, boolean colegio, boolean calle, String locucion, boolean interno){
		this.id = 0;
		this.picto1 = picto1;
		this.picto2 = picto2;
		this.picto3 = picto3;
		this.picto4 = picto4;
		this.casa = casa;
		this.colegio = colegio;
		this.calle = calle;
		this.locucion = locucion;
		this.interno_loc = interno;
		
	}
	
	public Frase(){
		this.id = 0;
		this.picto1 = null;
		this.picto2 = null;
		this.picto3 = null;
		this.picto4 = null;
		this.casa = false;
		this.colegio = false;
		this.calle = false;
		this.locucion = "";
		this.interno_loc = false;
	}
	
	public Picto getPicto1() {
		return picto1;
	}
	public Picto getPicto2() {
		return picto2;
	}
	public Picto getPicto3() {
		return picto3;
	}
	public Picto getPicto4() {
		return picto4;
	}
	public void setPicto1(Picto picto1) {
		this.picto1 = picto1;
	}
	public void setPicto2(Picto picto2) {
		this.picto2 = picto2;
	}
	public void setPicto3(Picto picto3) {
		this.picto3 = picto3;
	}
	public void setPicto4(Picto picto4) {
		this.picto4 = picto4;
	}
	public boolean isCasa() {
		return casa;
	}
	public void setCasa(boolean casa) {
		this.casa = casa;
	}
	public boolean isColegio() {
		return colegio;
	}
	public void setColegio(boolean colegio) {
		this.colegio = colegio;
	}
	public boolean isCalle() {
		return calle;
	}
	public void setCalle(boolean calle) {
		this.calle = calle;
	}
	public String getLocucion() {
		return locucion;
	}
	public void setLocucion(String locucion) {
		this.locucion = locucion;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public boolean isInternoLoc(){
		return interno_loc;
	}
	
	public void setInternoLoc(boolean interno){
		this.interno_loc = interno;
	}
	
	
	
	
	

}
