package com.dmolinerm.sac.entity;

import java.io.Serializable;

/**
 * @author David Moliner Mateu
 * Representa la entidad Picto
 */
public class Picto implements Serializable {

	private static final long serialVersionUID = 1L;
	long id;
	int image;
	String nombre;
	boolean sentimiento;
	String categoria;
	boolean interno_img;
	String locucion;
	boolean interno_loc;
	
	public Picto(int image, String nombre, boolean sentimiento, String categoria, boolean interno_img, String locucion, boolean interno_loc) {
		super();
		this.image = image;
		this.nombre = nombre;
		this.sentimiento = sentimiento;
		this.categoria = categoria;
		this.interno_img = interno_img;
		this.locucion = locucion;
		this.interno_loc = interno_loc;
	}
	
	public Picto(long id, int image, String nombre, boolean sentimiento,
			String categoria, boolean interno_img, String locucion, boolean interno_loc) {
		this.id = id;
		this.image = image;
		this.nombre = nombre;
		this.sentimiento = sentimiento;
		this.categoria = categoria;
		this.interno_img = interno_img;
		this.locucion = locucion;
		this.interno_loc = interno_loc;
	}
	
	public Picto(){
		this.id = 0;
		this.image = 0;
		this.nombre = null;
		this.sentimiento = false;
		this.categoria = null;
		this.interno_img = false;
		this.locucion = "";
		this.interno_loc = false;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public int getImage() {
		return image;
	}
	
	public String getNombre() {
		return nombre;
	}
	
	public boolean getSentimiento(){
		return sentimiento;
	}
	
	public String getCategoria(){
		return categoria;
	}
	
	public boolean isInternoImg() {
		return interno_img;
	}
	
	public boolean isInternoLoc(){
		return interno_loc;
	}

	public void setImage(int image) {
		this.image = image;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public void setSentimiento(boolean sentimiento) {
		this.sentimiento = sentimiento;
	}

	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}

	public void setInternoImg(boolean interno) {
		this.interno_img = interno;
	}
	
	public void setInternoLoc(boolean interno){
		this.interno_loc = interno;
	}

	public String getLocucion() {
		return locucion;
	}

	public void setLocucion(String locucion) {
		this.locucion = locucion;
	}
	
	
	
}
